<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
* Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
* Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>New Free-Form Project Wizard: Project Output</title>
	<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
<h2>New Free-Form Project Wizard: Project Output</h2>
<p> <small><a href="#seealso">See Also</a>&nbsp; </small> 
<p>The New Free-Form Project wizard imports an existing Java or web
 module into a  
	<object classid="java:com.sun.java.help.impl.JHSecondaryViewer">
    <param name="content" value="./glossary_freeform.html">
    <param name="viewerActivator" value="javax.help.LinkLabel">
    <param name="viewerStyle" value="javax.help.Popup">
    <param name="viewerSize" value="400,160">
    <param name="text" value="free-form project">
    <param name="textFontSize" value="medium">
    <param name="textFontFamily" value="SansSerif">
    <param name="textFontStyle" value="italic">
    <param name="textFontWeight" value="bold">
    <param name="textColor" value="blue">
  </object>
  &nbsp;. 
<p>In the Project Output page of the wizard, you declare the output file or folder of your project.
 Declaring the output of a free-form project does the following:
<ul>
  <li>Associates the project source code with its output JAR files, thus ensuring 
    that debugging works correctly. </li>
  <li>Tells the IDE what JAR files the project produces. You can then add a free-form
  	project to the classpath of a 
  	<object classid="java:com.sun.java.help.impl.JHSecondaryViewer">
    <param name="content" value="./glossary_standard.html">
    <param name="viewerActivator" value="javax.help.LinkLabel">
    <param name="viewerStyle" value="javax.help.Popup">
    <param name="viewerSize" value="400,220">
    <param name="text" value="standard project">
    <param name="textFontSize" value="medium">
    <param name="textFontFamily" value="SansSerif">
    <param name="textFontStyle" value="italic">
    <param name="textFontWeight" value="bold">
    <param name="textColor" value="blue">
  </object>&nbsp;and all the classpath dependencies 
   are configured correctly.</li>
</ul>
<p>In the Javadoc Output field, you can specify the location where your project's
	Javadoc documentation is stored. 
<p><b>Notes:</b> </p>
<ul class="note">
  <li>If several source package folders are included in the same output file or 
    folder, select each folder in the combo box, click Add JAR/Folder, and specify 
    the same output file for each folder.</li>
</ul>
</ul>
<dl>
    <dt><a name="seealso">See Also</a></dt>
    <dd> <a href="../../project/proj_free_about.html">About Free-Form Projects</a></dd>
    <dd><a href="../../project/proj_stand_about.html">About Standard Projects</a></dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="proj_j2sefree_wiz1.html">Name and Location</a></dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="proj_j2sefree_wiz2.html">Build and Run Actions</a></dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="proj_j2sefree_wiz3.html">Java Sources</a></dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="proj_j2sefree_wiz4.html">Java Sources Classpath</a></dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="nbdocs://org.netbeans.modules.web.helpset/org/netbeans/modules/web/helpset/docs/web/csh/projwiz_freeform/WebLocationsWizardPanel.html">Web Sources</a> (for web projects only)</dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="nbdocs://org.netbeans.modules.web.helpset/org/netbeans/modules/web/helpset/docs/web/csh/projwiz_freeform/WebClasspathWizardPanel.html">Web Sources Classpath</a> (for web projects only)</dd>
  </dl>

<hr>
<small><a href="../../credits.html">Legal Notices</a></small> 
<table border="0" cellpadding="50">
  <tr><td>&nbsp;</td></tr>
</table>
</body>
</html>
